
module.exports = new Class
({
	Extends: Htk.Field
	,Tag: 'htk-radio-group'
	
	,radioLock: false

	,initialize: function (props)
	{
		this.clear ();
		this.on ('changed', this._onRadioGroupChange, this);
		this.parent (props);
	}
	
	,clear: function ()
	{
		this.radioName = Math.random ().toString ();
		this.buttons = [];
	}

	,_onRadioGroupChange: function ()
	{
		for (var i = 0; i < this.buttons.length; i++)
		if (this.buttons[i].value == this._value)
			this.buttons[i].checked = true;
	}
	
	,_onRadioChange: function (value)
	{
		if (this.radioLock)
			return;
	
		this.radioLock = true;
		this.value = value;
		this.radioLock = false;
	}
	
	,createButton: function (value)
	{
		var radio = this.doc.createElement ('input');
		radio.type = 'radio';
		radio.name = this.radioName;
		radio.value = value;
		radio.checked = value == this.value;
		radio.addEventListener ('change', this._onRadioChange.bind (this, value));
		this.buttons.push (radio);
		
		return radio;
	}
});
